# Copyright (c) 2005-2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _prefix	/usr
%define _menus	/kde4/services/ServiceMenus

Summary:		A very useful images Kde servicemenu
Name:			kim
Version:		0.9.5
Release:		3.3
Group: 			Productivity/Graphics/Convertors
License:		GPL
Url:			http://bouveyron.free.fr/kim/
Source:			kim4-%{version}.tar.gz
Buildroot:		%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:		noarch
Requires:		ImageMagick
BuildRequires:	dos2unix
BuildRequires:	kdelibs4-core
Provides:		kde4-kim = 0.9.5
Obsoletes:		kde4-kim < 0.9.5

%description
Kim is a kde service menu which allows to resize, convert, rotate, ( ...) your
images without to use a graphical application like Gimp! This service menu can
be considered as a frontend of ImageMagick.

Main features of Kim:
Compress and resize
    * Compress to 70%, 80%, 90% or other,
    * Resize to 300x225, 600x450, 800x600, 1024x768, 1200x900 px or other,
    * Resize and compress for the web.

Convert and rotate
    * Convert in JPG, PNG, GIF, TIFF or other,
    * Rotate images.

Treatment and publication
    * Rename images,
    * Convert in grayscale,
    * Add a whith or black border,
    * Watermarck images,
    * Send by mail resized images.

Authors:
Charles Bouveyron <charles.bouveyron@free.fr>
Mathieu Vilaplana <mathieu@creationgif.com>
Alessandro Faggiano
Raphael Pinson <raphink@raphink.net>

%prep
%setup -q -n kim4

dos2unix     manual/work.css
%__chmod 644 manual/work.css

%__rm src/bin/*~

%build

%install
kdeinstdir=`kde4-config --prefix`

%__install -dm 755 %{buildroot}/$kdeinstdir/share/kde4/services/ServiceMenus
%__install -m 644 src/kim_*.desktop \
	%{buildroot}/$kdeinstdir/share/kde4/services/ServiceMenus

%__install -dm 755 %{buildroot}/$kdeinstdir/bin
%__install -m 755 src/bin/kim_* \
	%{buildroot}/$kdeinstdir/bin

%__install -dm 755 %{buildroot}$kdeinstdir/share/kim
%__install -m 644 COPYING \
	%{buildroot}$kdeinstdir/share/kim/kim_about.txt

%__install -dm 755 %{buildroot}$kdeinstdir/share/kim/slideshow
%__install -m 644 src/slideshow/* \
	%{buildroot}/$kdeinstdir/share/kim/slideshow

%__install -dm 755 %{buildroot}/$kdeinstdir/share/kim/gallery
%__install -m 644 src/gallery/* \
	%{buildroot}/$kdeinstdir/share/kim/gallery

%kde_post_install

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%post
for i in imageconverter jpegorient; do
	if [ -e %{_datadir}%{_menus}/$i.desktop ]; then
		%__mv %{_datadir}%{_menus}/$i.desktop \
			%{_datadir}%{_menus}/$i.desktop~ 2> /dev/null
	fi
done

%postun
for i in imageconverter jpegorient; do
	if [ -e %{_datadir}/%{_menus}/$i.desktop~ ]; then
		%__mv %{_datadir}/%{_menus}/$i.desktop~ \
			%{_datadir}/%{_menus}/$i.desktop 2> /dev/null
	fi
done
	
%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL README 
%doc manual/*
%{_bindir}/kim*
%{_datadir}/%{_menus}/kim_compressandresize.desktop
%{_datadir}/%{_menus}/kim_convertandrotate.desktop
%{_datadir}/%{_menus}/kim_publication.desktop
%dir %{_datadir}/kim
%{_datadir}/kim/*

%changelog
* Mon Jan  4 2010 toni@links2linux.de
- rebuild for kde4 only (kde3-pim is now in package kde3-kim)
* Mon Aug  4 2008 toni@links2linux.de
- added kde4-kim sub-package
* Tue Dec 26 2006 toni@links2linux.de
- update to 0.9.5
- dropped sub-package kim-plugins
* Mon Nov 13 2006 toni@links2linux.de
- update to 0.9.4
* Sun Sep 17 2006 toni@links2linux.de
- build for packman
- update to 0.9.3
* Sun Sep 10 2006 oc2pus@arcor.de 0.9.2-0.oc2pus.1
- update to 0.9.2
* Tue May  2 2006 oc2pus@arcor.de 0.9.1-0.oc2pus.1
- update to 0.9.1
* Sat Apr  1 2006 oc2pus@arcor.de 0.9.0-0.oc2pus.1
- update to 0.9.0
* Fri Feb 10 2006 oc2pus@arcor.de 0.8.4-0.oc2pus.1
- update to 0.8.4
- kipi-plugins added in Requirements (images2mpg)
* Thu Jan 26 2006 oc2pus@arcor.de 0.8.3-0.oc2pus.1
- update to 0.8.3
* Tue Jan 24 2006 oc2pus@arcor.de 0.8.2-0.oc2pus.1
- update to 0.8.2
* Thu Aug 25 2005 oc2pus@arcor.de 0.8.1-0.oc2pus.2
- corrected dependencies
* Tue Aug 23 2005 oc2pus@arcor.de 0.8-1.oc2pus.1
- update to 0.8.1
* Wed Jun  1 2005 oc2pus@arcor.de 0.8-0.oc2pus.1
- update to 0.8
* Mon Jan 10 2005 oc2pus@arcor.de 0.7-0.oc2pus.2
- include german patches
* Sat Jan  8 2005 oc2pus@arcor.de 0.7-0.oc2pus.1
- update to 0.7
* Fri Dec 24 2004 oc2pus@arcor.de 0.6.1-0.oc2pus.3
- build for SuSE-9.2
* Wed Dec 22 2004 oc2pus@arcor.de 0.6.1-0.oc2pus.2
- added german translations from Manfred Timm
* Mon Dec 20 2004 oc2pus@arcor.de 0.6.1-0.oc2pus.1
- update to 0.6.1
* Fri Nov  5 2004 oc2pus@arcor.de 0.6-0.oc2pus.1
- initial build for apt-repository
